<div class="container">
  <div class="row">
    <div class="col col-md-12 card card-body text-center">
      <h5>Work Areas</h5>
    </div>
  </div>
  <div class="row justify-content-around">
    <div class="col col-md-5 ">
      <div class="card card-body ml-0 mt-2" >
        <p class="mx-auto">Create Area</p>
        <form [formGroup]="creationForm" (ngSubmit)="saveArea()">
          <div class="form-group">
            <label for="">Description</label>
            <input type="text" formControlName="description" class="form-control">
          </div>
          <div class="alert alert-danger" *ngIf="creationForm.get('description').invalid && (creationForm.get('description').dirty
          || creationForm.get('description').touched)" role="alert">
            <p *ngIf="creationForm.get('description').errors.required">This field is required</p>
            <p *ngIf="creationForm.get('description').errors.maxlength">Max 20 characters</p>
          </div>
          <div class="alert" *ngIf="objectCreationResponse.response" role="alert" [ngClass]="{'alert-success': objectCreationResponse.correctCreationResponse, 'alert-danger': !objectCreationResponse.correctCreationResponse}">
            {{objectCreationResponse.responseText}}
          </div>
          <button type="submit" class="btn btn-primary btn-block btn-background" [disabled]="creationForm.invalid">Save <i class="fas fa-save"></i></button>
        </form>
      </div>
      <div class="card card-body ml-0 mt-2">
        <p class="mx-auto">Update Area</p>
        <form [formGroup]="updateForm" (ngSubmit)="updateArea()">
          <div class="form-group">
            <label for="">Id</label>
            <input type="text" formControlName="id" class="form-control" readonly>
          </div>
          <div class="form-group">
            <label for="">Description</label>
            <input type="text" class="form-control" formControlName="description">
          </div>
          <div class="alert alert-danger" *ngIf="updateForm.get('description').invalid && (updateForm.get('description').dirty
          || updateForm.get('description').touched)" role="alert">
            <p *ngIf="updateForm.get('description').errors.required">This field is required</p>
            <p *ngIf="updateForm.get('description').errors.maxlength">Max 20 characters</p>
          </div>
          <div class="alert" *ngIf="objectUpdateResponse.response" role="alert" [ngClass]="{'alert-success': objectUpdateResponse.correctUpdateResponse, 'alert-danger': !objectUpdateResponse.correctUpdateResponse}">
            {{objectUpdateResponse.responseText}}
          </div>
          <button type="submit" class="btn btn-primary btn-block btn-background" [disabled]="updateForm.invalid">Save <i class="fas fa-edit"></i></button>
        </form>
      </div>
    </div>
    <div class="col col-md-6 card card-body mt-2">
      <p class="mx-auto">Areas</p>
      <table class="table">
        <thead class="cabecera text-center">
          <tr class="text-white">
            <th scope="col">id</th>
            <th scope="col">Description</th>
            <th scope="col">edit</th>
            <th scope="col">Delete</th>
          </tr>
        </thead>
        <tbody *ngIf="workAreasList && workAreasList.length > 0">
          <tr *ngFor="let area of workAreasList" class="text-center">
            <th>{{area.id}}</th>
            <td>{{area.description}}</td>
            <td><i class="fas fa-edit"  style="color: orange;" (click)="fillUpdateForm(area.id)"></i></td>
            <td><i class="fas fa-trash-alt" style="color: red;" (click)="deleteArea(area.id)"></i></td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
